a,b,c = map(int, [input(), input(), input()])
if a+b+c != 180 :
    print("Error")
elif a==b==c :
    print("Equilateral")
elif a==b or a==c or b==c :
    print("Isosceles")
else :
    print("Scalene")